%global   oname        PosteRazor
%global   icondir      PNG
%global   cmaketmpdir  redhat-linux-build

Name:           posterazor
Version:        1.5.3
Release:        K06%{?dist}
Summary:        The PosteRazor cuts a raster image into pieces.
Group:          Applications/Accesories
License:        GPLv3
Packager:       Kārlis Kalviškis
URL:            https://posterazor.sourceforge.io/
#Source0:        https://sourceforge.net/projects/%{name}/files/Source%20Releases/%{version}/%{oname}-%{version}-Source.zip
Source0:        %{oname}-%{version}.zip

BuildRequires: cmake
BuildRequires: gcc
BuildRequires: g++
BuildRequires: freeimage-devel freeimage-plus-devel
BuildRequires: fltk-devel
BuildRequires: GraphicsMagick
BuildRequires: libicns-utils
BuildRequires: libXpm-devel

# Missing include directive
Patch0: %{name}-include.patch
# Missing cmake version
Patch1: %{name}-cmake.patch

%description
The PosteRazor cuts a raster image into pieces which can afterwards be 
printed out and assembled to a poster. As input, the PosteRazor takes a 
raster image. The resulting poster is saved as a multipage PDF 
document. An easy to use, wizard like user interface guides through 5 
steps.



%prep
%setup -q -c -n "%{name}-%{version}" 
%patch 0 -p1
%patch 1 -p1

%build
cd src
%cmake -DCMAKE_CXX_COMPILER=g++ -DCMAKE_C_COMPILER=gcc .
%cmake_build

mkdir %{icondir}
icns2png -x %{oname}.icns -o %{icondir}
rm %{icondir}/%{oname}_16x16x32.png
gm convert %{oname}.xpm %{icondir}/%{oname}_16x16x32.png


%install
rm -rf %{buildroot}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
install -m 755 src/%{cmaketmpdir}/%{oname} ${RPM_BUILD_ROOT}%{_bindir}/%{name}
for Ico in src/PNG/*x32*; do
	NUMT=${Ico%x*}
	NUM=${NUMT##*_}
	mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/$NUM/apps
	cp $Ico ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/$NUM/apps/%{name}.png
done

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/applications
cat > ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=%{oname}
Comment=The PosteRazor cuts a raster image into pieces.
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Utility;FLTK;RasterGraphics;Publishing;Graphics;
EOF


%clean
rm -rf %{buildroot}

%post

%postun

%posttrans

%files
%defattr(-,root,root)
%doc CHANGES LICENSE README
%{_bindir}/%{name}
%{_datadir}/icons/*
%{_datadir}/applications/*.desktop



%changelog
* Mon Jan 20 2025 Karlis Kalviskis <karlo@lu.lv> - 1.5.3-K05
- TRebuilt for Fedora 39
* Thu Oct 21 2021 Karlis Kalviskis <karlo@lu.lv> - 1.5.3-K04
- TRebuilt for Fedora 35
* Thu Aug 20 2020 Karlis Kalviskis <karlo@lu.lv> - 1.5.3-K03
- Added missing BuildRequires: libXpm-devel
* Mon Mar 23 2020 Karlis Kalviskis <karlo@lu.lv> - 1.5.3-K02
- moved icons to apps directory
- summary in desktop file
* Mon Mar 23 2020 Karlis Kalviskis <karlo@lu.lv> - 1.5.3-K01
- Initial RPM release.

